DotsDocs
Payout agents

Revoke a Payout Agent Credential

Revoke a credential. Requests that use it are rejected immediately. Revoking a revoked credential succeeds without changing it. The credential stays in the list with `active` set to `false`.

DELETE
/v2/payout-agents/{payout_agent_id}/credentials/{credential_id}

Revoke a credential. Requests that use it are rejected immediately. Revoking a revoked credential succeeds without changing it. The credential stays in the list with active set to false.

AuthorizationBasic <token>

In: header

Path Parameters

payout_agent_id*string

ID of the payout agent.

Formatuuid
credential_id*string

ID of the credential.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v2/payout-agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "object": "payout_agent_credential",  "payout_agent_id": "79fb14fc-ce5a-4ca6-83f8-93ffe10240da",  "name": "string",  "token": "string",  "token_last_four": "string",  "active": true,  "revoked_at": "2019-08-24T14:15:22Z",  "last_used_at": "2019-08-24T14:15:22Z",  "created": "2019-08-24T14:15:22Z"}